Si una macro comienza con la cadena

--AppleScript
o
--AppleScript direct

entonces, al ejecutar la macro, se ejecutará el correspondiente código AppleScript. Por ejemplo, considérese la macro titulada «View pdf with Acrobat». Al elegirla cuando la ventada con código TeX está activa (y el archivo pdf está ya creado), se cargará Adobe Acrobat Reader, que a su vez abrirá el archivo pdf. El correspondiente código AppleScript para esto es

--AppleScript direct
tell application "Acrobat Reader 5.0"
  activate
  open POSIX file #PDFPATH#
end tell

Los comandos que comienzan por «--AppleScript direct» son ejecutados directamente por TeXShop. Durante el tiempo que ese applescript está corriendo, el bucle de eventos de TeXShop no está activo. Como consecuencia, el script no puede llamar a TeXShop para que haga algo que requiera la atención del usuario. Por ejemplo, no le puede decir a TeXShop que ejecute LaTeX porque, si el archivo LaTeX tiene un error, aparecerá la consola y esperará la respuesta del usario, pero esa respuesta no será reconocida.

Los comandos que comienzan por «--AppleScript direct» son ejecutados por una pequeño programa auxiliar interno que acompaña a TeXShop (dentro de su ‘application bundle’). Tales comandos le pueden pedir a TeXShop que ejecute una tarea que quizás necesite la intervención del usuario, porque en este caso el programa auxiliar se parará temporalmente pero TeXShop se mantendrá activo.

Así que la sintaxis «--AppleScript direct» es apropiada para las macros ordinarias, pero puede ser necesario usar «--AppleScript» para las más imaginativas.

Ayuda para macros
Macros AppleScript